using FLY.Thick.FilmCasting.IService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.Client
{
    public class ScanServiceClient : FObjBase.Reflect.Reflect_SeviceClient, IScanService
    {
        protected override Type InterfaceType => typeof(IScanService);

        public ScanServiceClient(UInt32 serviceId) : base(serviceId) { }
        public ScanServiceClient(UInt32 serviceId, string connName) : base(serviceId, connName) { }
        public void ResetFilmPosition()
        {
            Call(nameof(ResetFilmPosition));
        }

        public void StartWithNoReset()
        {
            Call(nameof(StartWithNoReset));
        }

        public void Feed() {
            Call(nameof(Feed));
        }
    }
}
